aboutsummaryrefslogtreecommitdiff
path: root/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
diff options
context:
space:
mode:
authorMichiel van Wessem <michiel@slackbuilds.org>2010-05-12 17:37:31 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-12 17:37:31 +0200
commitd7ee118637c188df82874c6819222218f2c72680 (patch)
tree22c81cb8b5d0187c94ea501e1da8d0a898a44efc /desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
parent4b5799b483f9c19a0bf3b11d7fa441a50c3303fc (diff)
desktop/QtCurve-KDE3: Updated for version 0.62.7
Diffstat (limited to 'desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild')
-rw-r--r--desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild20
1 files changed, 11 insertions, 9 deletions
diff --git a/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild b/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
index 16295793a3510..160cd227b629a 100644
--- a/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
+++ b/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
@@ -1,7 +1,8 @@
#!/bin/sh
# Slackware build script for: QtCurve-KDE3
-# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,7 +25,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=QtCurve-KDE3
-VERSION=0.59.5
+VERSION=${VERSION:-0.62.7}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,11 +36,9 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
set -e
@@ -60,14 +59,17 @@ find . \
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_INSTALL_PREFIX=/usr .
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ .
make VERBOSE=1
make install VERBOSE=1 DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION